=== debian/changelog ===
pd-hcs (0.1-5) unstable; urgency=medium

  * Patch to fix printf() argument types
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Simplified & unified d/rules
    * Enabled hardening
    * Bumped dh compat to 11
  * Switched URLs to https://
  * Updated d/copyright(_hints)
  * Removed trailing whitespace in debian/*
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:07:23 +0100

pd-hcs (0.1-4) unstable; urgency=medium

  * Added patch for retrieving sys_searchpath independent of Pd-version
    (Closes: #872679)
  * Reproducible builds updates
    * Modernized calculation of reproducible dates
    * Fixed reproducible timestamp patch
  * Modernized Vcs-Browser stanza
  * Bumped standards to 4.1.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Aug 2017 08:33:47 +0200

pd-hcs (0.1-3) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * Depends: puredata-core | pd, so the depends is not only on a virtual package
  * Removed leading article from synopsis
  * Bumped Standards-Version to 3.9.3
  * Updated to copyright-format/1.0
  * Removed 'DM-Upload-Allowed: yes', its deprecated

  [ IOhannes m zmölnig ]
  * Made build reproducible
  * Fixed spelling error
  * Removed unneeded patch
    * Instead added B-D on puredata-dev, and -I/usr/include/pd to CPPFLAGS
  * Updated Vcs-* stanzas to canonical https:// URLs
  * Drop build-depends on quilt (since the package  is "3.0 (quilt)")
    * Removed '--with quilt' from debhelper invocation
  * d/copyright
    * Added copyright-holders for debian/*
    * Fixed multi-paragraph formatting in d/copyright
    * Referenced /usr/share/common-licenses/GPL-1
    * Fixed File-stanzas for d/copyright
    * Stripped license for removed patch
  * Enabled hardened builds
    * Switched to dh compat version 9
    * Versioned B-D on debhelper>=9
  * Bumped standards to 3.9.8
  * Added myself to the uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Jun 2016 22:04:24 +0200

pd-hcs (0.1-2) unstable; urgency=low

  * added missing info about other copyright holders
  * bumped standards version to 3.9.2
  * updated Build-Depends to use puredata-dev (Closes: #629711)
  * add DM-Upload-Allowed field

 -- Hans-Christoph Steiner <hans@eds.org>  Fri, 10 Jun 2011 14:35:04 -0400

pd-hcs (0.1-1) unstable; urgency=low

  * Initial release (Closes: #591841)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 10 Nov 2010 15:40:08 -0500
