=== debian/control ===
Source: pd-hcs
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Hans-Christoph Steiner <hans@eds.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 puredata-dev,
Standards-Version: 4.1.3
Homepage: https://puredata.info
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-hcs.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-hcs

Package: pd-hcs
Architecture: any
Depends:
 ${shlibs:Depends},
 puredata-core | pd,
 pd-cyclone,
 pd-libdir,
 pd-pddp,
 pd-purepd,
 pd-zexy,
 ${misc:Depends},
Recommends:
 pd-import,
Description: Pd library of experiments in UNIX, the Pd GUI, and more
 The 'hcs' library is a random grabbag of objects that are experiments that
 sometimes lead to full-fledged libraries.  There are objects for getting UNIX
 file and permissions information (group, gid2group_name, group_name2gid,
 uid2username, username2uid, hostname, stat, uname, setenv), Pd GUI
 manipulation (canvas_name, window_name, sys_gui, tcl_version, ce_path,
 tkconsole, pointer_position, cursor), handling filenames (file_type,
 folder_list, helppath, split_path), and more.
