=== debian/changelog ===
pd-hcs (0.2.1-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:25:41 +0000

pd-hcs (0.2.1-4) unstable; urgency=medium

  * Patch to use pd_error() instead of error() (Closes: #1066517)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 16 Mar 2024 22:31:26 +0100

pd-hcs (0.2.1-3) unstable; urgency=medium

  * Build for both single and double-precision Pd
  * Add lintian-overrides for false-positives regarding underlinking

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 14:20:26 +0200

pd-hcs (0.2.1-2) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder' (Closes: #1026677)
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Dec 2022 22:08:28 +0100

pd-hcs (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1
    + Drop patches applied (or obsoleted) upstream
  * Switch to dh-sequence-pd-lib-builder
  * Update d/upstream/metadata
  * Update d/copyright
    + Re-generate d/copyright_hints
  * Update d/watch to new upstream repository

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 27 Nov 2022 23:39:32 +0100

pd-hcs (0.1-7) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 26 Nov 2022 23:54:18 +0100

pd-hcs (0.1-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Removed Hans-Christoph Steiner from Uploaders as he requested
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Declare that building this package does not require 'root' powers.
  * Apply "warp-and-sort -ast"
  * Bump dh-compat to 13
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 13:40:18 +0200
