=== debian/control ===
Source: pd-hcs
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pd-lib-builder,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://puredata.info
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-hcs.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-hcs

Package: pd-hcs
Architecture: any
Depends:
 pd-cyclone,
 pd-iemguts,
 pd-purepd,
 pd-zexy,
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 pd-pddp,
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Description: Pd library of experiments in UNIX, the Pd GUI, and more
 The 'hcs' library is a random grabbag of objects that are experiments that
 sometimes lead to full-fledged libraries.  There are objects for getting UNIX
 file and permissions information (group, gid2group_name, group_name2gid,
 uid2username, username2uid, hostname, stat, uname, setenv), Pd GUI
 manipulation (canvas_name, window_name, sys_gui, tcl_version, ce_path,
 tkconsole, pointer_position, cursor), handling filenames (file_type,
 folder_list, helppath, split_path), and more.
